#include <iostream>
using namespace std;
int a[20000];

int main()
{
    int n, k; cin >> n >> k;
    int i;
    for (i = 0; i < n - 1; i++)
    {
        cin >> a[i];
        if (a[i] == k) {
            break;
        }
    }
    if (i < n - 2)
    {
        cin >> a[i + 1];
        cout << a[i + 1] << endl;
    }
    else {
        cin >> a[n - 1];
        if (a[n - 1] == k) cout << a[0] << endl;
    }
    return 0;
}